fig56 <- function(post=F)
{
 if(post)
  {#ps.options (colors=ps.colors.rgb[c("blue", "magenta", "cyan",
   #"green", "MediumBlue", "red", "black", "yellow", "blue"),])
    postscript("Fig56.ps", width=4.4, height=2.5, horizontal=F,pointsize=8)
  }
 else {if(dev.cur()==1) motif(); par(ask=T)}

 par(mfrow = c(1, 2),mar=c(5,3,3,1)+0.1)
 par(mex=0.5,csi=0.11)

  
  x <- seq(0,6, 0.05)
  plot(x,exp(-x), type="l", xlim=c(-2,6), ylim=c(0,1.2))
  lines(c(0,0),c(0,1))
  abline(0,0)

################ Reflection method ##########################
  x <- fig55.dat
  n <- length(x)
  s <- sqrt(var(x))
  bandwidth <- 4*1.06 * s / n^0.2

  kden <- density(c(x,-x),200,width = bandwidth, from=0, to = 6)
  lines(kden$x, 2*kden$y, lty=2, lwd=2)
  points(x,rep(0,n))
  title("Reflection method")
################ Transformation method ##########################
  x <- seq(0,6, 0.05)
  plot(x,exp(-x), type="l", xlim=c(-2,6), ylim=c(0,1.2))
  lines(c(0,0),c(0,1))
  abline(0,0)

  x <- log(fig55.dat)
  n <- length(x)
  s <- sqrt(var(x))
  bandwidth <- 4*1.06 * s / n^0.2
  print(c("selected bandwidth", round(bandwidth/4,3)))

  kden <- density(x, 200, width = bandwidth, from=-6, to = 2)
  y <- exp(kden$x)
  est  <- exp(-kden$x) * kden$y

  lines(y, est, lty=2, lwd=2)
  points(exp(x),rep(0,n))
  title("Transformation method")
}
